﻿@model schoolProgramsCheckInOutReportViewModel
@{
    Layout = null;
}

<div class="view-container">
    <div class="title-bar">
        <div class="back">
            <a class="action" onclick="window.history.back()">
                <i class="icon-arrow-left fg-black"></i>
            </a>
        </div>
        <div class="title" style="font-size:20px">
            <div>
                Sign-Out Sheet - Advanced Report
            </div>
            <div>
                {{Model.Date}}
            </div>
        </div>
        <div class="actions">
            <a class="icon-btn pdf-btn" jb-tooltip data-toggle="tooltip" data-placement="bottom" title="Export to PDF" ng-click="saveToPdf()" target="_blank">
                <i style="margin-top: 11px;" class="jbi-pdf"></i>
            </a>
            <a class="icon-btn excel-btn" jb-tooltip data-toggle="tooltip" data-placement="bottom" title="Export to Excel" ng-click="saveToExcel()" target="_blank">
                <i style="margin-top: 11px;" class="jbi-excel"></i>
            </a>

        </div>
        <div class="clearfix"></div>
        <hr />
    </div>

    <div class="clearfix"></div>
    <div class="row place-left one-half">
        <label>Program</label>
        <div class="span4" data-role="input-control">
            <div class="input-control select" data-role="input">
                <select ng-model="Model.ScheduleId"
                        ng-options="obj.Value as obj.Text for obj in AllPrograms"></select>
            </div>
        </div>
    </div>
    <div class="row place-left one-half">
        <label class="req-star">Session start date</label>
        <div class="input-control date-time span4" data-role="input-control" @Html.AngValidationClassFor(model => model.DateProgram)>
            <div @Html.AngTooltipValidationFor(model => model.DateProgram)>
                <input kendo-date-picker k-options="MC.datePickerOptions" ng-model="Model.DateProgram" />
            </div>
        </div>
    </div>
    <div class="clearfix"></div>
    <div class="row place-left one-fourth" style="width: 300px !important">
        <label>Sort by</label>
        <div class="input-control select" data-role="input-control">
            <select ng-model="Model.SortBy" ng-options="obj.Value as obj.Title for obj in Model.Sorts"></select>
        </div>
    </div>

    <button type="submit" ng-click="runReport()" class="primary large place-right button" style="margin-top: 25px">Run</button>
    <br />
    <div class="clearfix"></div>
    <hr />


    <div class="structure-divider-large" ng-repeat="item in ModelPrograms">
        <table class="jbt-table-custom structure-without-line structure-divider structure-bright-gray" ng-show="item.ProgramParticipants != null">
            <tr>
                <td><span class="structure-bold structure-no-wrap" style="min-width:210px">Class: </span> {{item.ClassName}}</td>
                <td><span class="structure-bold structure-no-wrap" style="min-width:210px">Time period: </span> {{item.SeasonName}}</td>
                <td><span class="structure-bold structure-no-wrap" style="min-width:210px">Minimum enrollments: </span> {{item.MinimumEnrollments}}</td>
            </tr>
            <tr>
                <td><span class="structure-bold structure-no-wrap">Grades/Ages: </span> {{item.GradesOrAges}}</td>
                <td><span class="structure-bold structure-no-wrap">Primary instructor: </span> {{item.Instructor}}</td>
                <td><span class="structure-bold structure-no-wrap">Capacity: </span> {{item.Capacity}}</td>
            </tr>
            <tr>
                <td><span class="structure-bold structure-no-wrap">School: </span> {{item.SchoolName}}</td>
                <td><span class="structure-bold structure-no-wrap">Facility/Room: </span><span>{{item.Location}}</span></td>
                <td><span class="structure-bold structure-no-wrap">Enrolled: </span> {{item.Enrolled}}</td>
            </tr>
            <tr>
                <td><span class="structure-bold structure-no-wrap">Days: </span>{{item.ClassDays}}</td>
                <td><span class="structure-bold structure-no-wrap"> </span> </td>
                <td><span class="structure-bold structure-no-wrap">Pending: </span>{{item.Pending}}</td>
            </tr>
            <tr>
                <td><span class="structure-bold structure-no-wrap">Time: </span>{{item.StrTime}}</td>
                <td><span class="structure-bold structure-no-wrap"> </span></td>
                <td><span class="structure-bold structure-no-wrap">WaitList: </span>{{item.WaitList}}</td>
            </tr>
        </table>
        <table class="jbt-table-custom" ng-show="item.ProgramParticipants != null">

            <tr class="structure-gray">
                <th style="min-width:50px;width:50px;">#</th>
                <th style="max-width:150px;width:200px;">Participant</th>
                <th style="max-width:150px;width:150px;">Teacher</th>
                <th style="max-width:140px;width:90px;">Dismissal</th>
                <th style="max-width:140px;width:90px;">Morning arrival</th>
                <th style="width: 90px">Sign in</th>
                <th style="width: 200px">Authorized pick up</th>
                <th style="width: 90px">Signature</th>
            </tr>


            <tr ng-repeat="participant in item.ProgramParticipants">
                <td class="structure-text-center">{{participant.Number}}</td>
                <td class="structure-text-center">
                    <p>{{participant.ParticipantName}}</p>
                </td>
                <td class="structure-text-center">
                    <p>{{participant.TeacherName}}</p>
                </td>
                <td class="structure-text-center">
                    <p>{{participant.TransportHome}}</p>
                </td>
                <td class="structure-text-center">
                    <p>{{participant.MorningProgramArrival}}</p>
                </td>
                <td class="structure-text-center" style="height: 50px">&nbsp;</td>
                <td class="structure-text-center">
                    <p>{{participant.AuthorizedAdultNames}}</p>
                </td>
                <td class="structure-text-center" style="height: 50px">&nbsp;</td>
            </tr>
        </table>
        <table ng-show="item.Staffs != null  && item.ProgramParticipants != null" class="jbt-table-custom structure-divider structure-bright-gray">
            <tr ng-repeat="staff in item.Staffs">
                <td class="structure-text-left">
                    <p>
                        <span class="structure-bold"> {{staff.Role}} </span>
                        <span ng-show="staff.FullName != null"> - </span> {{staff.FullName}}
                        <span ng-show="staff.Phone != null"> - </span> {{staff.Phone}}
                        <span ng-show="staff.Email != null"> - </span> {{staff.Email}}
                    </p>
                </td>
            </tr>
        </table>
        <table ng-show="item.ClassName.includes('Punchcard') && item.ProgramParticipants != null" class="jbt-table-custom structure-without-line structure-divider structure-bright-gray">
            <tr>
                <td>* Today attending the first session</td>
            </tr>
            <tr>
                <td>** Today attending the secnod session</td>
            </tr>
            <tr>
                <td>*** Today attending the both session</td>
            </tr>
        </table>
    </div>

    <div class="clearfix"></div>

</div>
